### Function

# ECal ComponentAlarm new_from_component

since: 3.34

#### Declaration [src]

    ECalComponentAlarm*
    e_cal_component_alarm_new_from_component (
      const ICalComponent* component
    )

#### Description [src]

Creates a new `ECalComponentAlarm`, filled with values from `component`, which should be of kind `I_CAL_VALARM_COMPONENT`. The function returns `NULL` when it is not of the expected kind. Free the structure with e_cal_component_alarm_free(), when no longer needed.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent` of kind `I_CAL_VALARM_COMPONENT`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarm`

A newly allocated `ECalComponentAlarm`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.